Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
パス パラメーター
id
string
必須
Unique identifier for the evaluation rule.
ヘッダー パラメーター
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
要求本文
Evaluation rule resource
id
string
必須
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
必須
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
必須
evalId
string
必須
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
必須
templateId
string
必須
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
必須
Filter by agent name.
eventType
string | enum
必須
Type of the evaluation rule event.
enum
enabled
boolean
必須
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
必須
System metadata for the evaluation rule.
応答
The request has succeeded.
本文
id
string
必須
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
必須
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
必須
evalId
string
必須
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
必須
templateId
string
必須
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
必須
Filter by agent name.
eventType
string | enum
必須
Type of the evaluation rule event.
enum
enabled
boolean
必須
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
必須
System metadata for the evaluation rule.
要求
PUT /evaluationrules/{id} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json